com.io7m.jstructural.xom

## Class SDocumentSerializer

- java.lang.Object
- - com.io7m.jstructural.xom.SDocumentSerializer

-     public final class SDocumentSerializer
      extends Object

  Serialization functions that use XOM to serialize document elements to XML.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static nu.xom.Element` | `document(SDocument d)` Serialize the given element to XML.
    `static nu.xom.Element` | `documentContents(SDocumentContents s)` Serialize the given element to XML.
    `static nu.xom.Element` | `documentStyle(SDocumentStyle s)` Serialize the given element to XML.
    `static nu.xom.Element` | `documentTitle(SDocumentTitle s)` Serialize the given element to XML.
    `static nu.xom.Element` | `documentWithParts(SDocumentWithParts s)` Serialize the given element to XML.
    `static nu.xom.Element` | `documentWithSections(SDocumentWithSections s)` Serialize the given element to XML.
    `static nu.xom.Element` | `footnote(SFootnote s)` Serialize the given element to XML.
    `static nu.xom.Node` | `footnoteContent(SFootnoteContent c)` Serialize the given element to XML.
    `static nu.xom.Element` | `formalItem(SFormalItem s)` Serialize the given element to XML.
    `static nu.xom.Element` | `formalItemContent(SFormalItemContent s)` Serialize the given element to XML.
    `static nu.xom.Element` | `formalItemList(SFormalItemList s)` Serialize the given element to XML.
    `static nu.xom.Element` | `formalItemTitle(SFormalItemTitle s)` Serialize the given element to XML.
    `static nu.xom.Element` | `image(SImage s)` Serialize the given element to XML.
    `static nu.xom.Element` | `link(SLink s)` Serialize the given element to XML.
    `static nu.xom.Node` | `linkContent(SLinkContent c)` Serialize the given element to XML.
    `static nu.xom.Element` | `linkExternal(SLinkExternal s)` Serialize the given element to XML.
    `static nu.xom.Element` | `listItem(SListItem s)` Serialize the given element to XML.
    `static nu.xom.Node` | `listItemContent(SListItemContent c)` Serialize the given element to XML.
    `static nu.xom.Element` | `listOrdered(SListOrdered s)` Serialize the given element to XML.
    `static nu.xom.Element` | `listUnordered(SListUnordered s)` Serialize the given element to XML.
    `static nu.xom.Element` | `paragraph(SParagraph s)` Serialize the given element to XML.
    `static nu.xom.Node` | `paragraphContent(SParagraphContent c)` Serialize the given element to XML.
    `static nu.xom.Element` | `part(SPart p)` Serialize the given element to XML.
    `static nu.xom.Element` | `partContents(SPartContents s)` Serialize the given element to XML.
    `static nu.xom.Element` | `partTitle(SPartTitle s)` Serialize the given element to XML.
    `static nu.xom.Element` | `section(SSection s)` Serialize the given element to XML.
    `static nu.xom.Element` | `sectionContents(SSectionContents s)` Serialize the given element to XML.
    `static nu.xom.Element` | `sectionTitle(SSectionTitle s)` Serialize the given element to XML.
    `static nu.xom.Element` | `sectionWithParagraphs(SSectionWithParagraphs s)` Serialize the given element to XML.
    `static nu.xom.Element` | `sectionWithSubsections(SSectionWithSubsections s)` Serialize the given element to XML.
    `static nu.xom.Element` | `subsection(SSubsection s)` Serialize the given element to XML.
    `static nu.xom.Element` | `subsectionContent(SSubsectionContent c)` Serialize the given element to XML.
    `static nu.xom.Element` | `subsectionTitle(SSubsectionTitle s)` Serialize the given element to XML.
    `static nu.xom.Element` | `table(STable s)` Serialize the given element to XML.
    `static nu.xom.Element` | `tableBody(STableBody s)` Serialize the given element to XML.
    `static nu.xom.Element` | `tableCell(STableCell c)` Serialize the given element to XML.
    `static nu.xom.Node` | `tableCellContent(STableCellContent cc)` Serialize the given element to XML.
    `static nu.xom.Element` | `tableColumnName(STableColumnName s)` Serialize the given element to XML.
    `static nu.xom.Element` | `tableHead(STableHead s)` Serialize the given element to XML.
    `static nu.xom.Element` | `tableRow(STableRow r)` Serialize the given element to XML.
    `static nu.xom.Element` | `tableSummary(STableSummary s)` Serialize the given element to XML.
    `static nu.xom.Element` | `term(STerm s)` Serialize the given element to XML.
    `static nu.xom.Text` | `text(SText s)` Serialize the given element to XML.
    `static nu.xom.Element` | `verbatim(SVerbatim s)` Serialize the given element to XML.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### document

          public static nu.xom.Element document(SDocument d)

      Serialize the given element to XML.
      Parameters:
        `d` - The element
      Returns:
        An XML element

    - #### documentContents

          public static nu.xom.Element documentContents(SDocumentContents s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### documentStyle

          public static nu.xom.Element documentStyle(SDocumentStyle s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### documentTitle

          public static nu.xom.Element documentTitle(SDocumentTitle s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### documentWithParts

          public static nu.xom.Element documentWithParts(SDocumentWithParts s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### documentWithSections

          public static nu.xom.Element documentWithSections(SDocumentWithSections s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### footnote

          public static nu.xom.Element footnote(SFootnote s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### footnoteContent

          public static nu.xom.Node footnoteContent(SFootnoteContent c)

      Serialize the given element to XML.
      Parameters:
        `c` - The element
      Returns:
        An XML element

    - #### formalItem

          public static nu.xom.Element formalItem(SFormalItem s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### formalItemContent

          public static nu.xom.Element formalItemContent(SFormalItemContent s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### formalItemList

          public static nu.xom.Element formalItemList(SFormalItemList s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### formalItemTitle

          public static nu.xom.Element formalItemTitle(SFormalItemTitle s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### image

          public static nu.xom.Element image(SImage s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### link

          public static nu.xom.Element link(SLink s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### linkContent

          public static nu.xom.Node linkContent(SLinkContent c)

      Serialize the given element to XML.
      Parameters:
        `c` - The element
      Returns:
        An XML element

    - #### linkExternal

          public static nu.xom.Element linkExternal(SLinkExternal s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### listItem

          public static nu.xom.Element listItem(SListItem s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### listItemContent

          public static nu.xom.Node listItemContent(SListItemContent c)

      Serialize the given element to XML.
      Parameters:
        `c` - The element
      Returns:
        An XML element

    - #### listOrdered

          public static nu.xom.Element listOrdered(SListOrdered s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### listUnordered

          public static nu.xom.Element listUnordered(SListUnordered s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### paragraph

          public static nu.xom.Element paragraph(SParagraph s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### paragraphContent

          public static nu.xom.Node paragraphContent(SParagraphContent c)

      Serialize the given element to XML.
      Parameters:
        `c` - The element
      Returns:
        An XML element

    - #### part

          public static nu.xom.Element part(SPart p)

      Serialize the given element to XML.
      Parameters:
        `p` - The element
      Returns:
        An XML element

    - #### partContents

          public static nu.xom.Element partContents(SPartContents s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### partTitle

          public static nu.xom.Element partTitle(SPartTitle s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### section

          public static nu.xom.Element section(SSection s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### sectionContents

          public static nu.xom.Element sectionContents(SSectionContents s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### sectionTitle

          public static nu.xom.Element sectionTitle(SSectionTitle s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### sectionWithParagraphs

          public static nu.xom.Element sectionWithParagraphs(SSectionWithParagraphs s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### sectionWithSubsections

          public static nu.xom.Element sectionWithSubsections(SSectionWithSubsections s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### subsection

          public static nu.xom.Element subsection(SSubsection s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### subsectionContent

          public static nu.xom.Element subsectionContent(SSubsectionContent c)

      Serialize the given element to XML.
      Parameters:
        `c` - The element
      Returns:
        An XML element

    - #### subsectionTitle

          public static nu.xom.Element subsectionTitle(SSubsectionTitle s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### table

          public static nu.xom.Element table(STable s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### tableBody

          public static nu.xom.Element tableBody(STableBody s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### tableCell

          public static nu.xom.Element tableCell(STableCell c)

      Serialize the given element to XML.
      Parameters:
        `c` - The element
      Returns:
        An XML element

    - #### tableCellContent

          public static nu.xom.Node tableCellContent(STableCellContent cc)

      Serialize the given element to XML.
      Parameters:
        `cc` - The element
      Returns:
        An XML element

    - #### tableColumnName

          public static nu.xom.Element tableColumnName(STableColumnName s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### tableHead

          public static nu.xom.Element tableHead(STableHead s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### tableRow

          public static nu.xom.Element tableRow(STableRow r)

      Serialize the given element to XML.
      Parameters:
        `r` - The element
      Returns:
        An XML element

    - #### tableSummary

          public static nu.xom.Element tableSummary(STableSummary s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### term

          public static nu.xom.Element term(STerm s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### text

          public static nu.xom.Text text(SText s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

    - #### verbatim

          public static nu.xom.Element verbatim(SVerbatim s)

      Serialize the given element to XML.
      Parameters:
        `s` - The element
      Returns:
        An XML element

Copyright © 2015 <code@io7m.com> http://io7m.com